.preview {
  display: flex;
  align-items: center;
  justify-content: center;
  
  &-blackout {
    width: 100%;
    height: 100%;
    background: #343232;
    opacity: 0.4;
    position: absolute;
    z-index: 50
  }

  &-button {
    width: 50px;
    height: 50px;
    position: absolute;
    z-index: 99;
  }

  &-thumbnail {
    background-color: pink;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    overflow: hidden;
    height: 100%;
    width: 100%;
  }
}